%define upstream_name    Text-Table
%define upstream_version 1.135

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Organize Data in Tables
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Text::Aligner)
BuildRequires: perl(constant)
BuildRequires: perl(overload)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch
Requires:   perl(Text::Aligner) >= 0.05
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\(Text::Aligner\\)$

%description
Organization of data in table form is a time-honored and useful method of
data representation. While columns of data are trivially generated by
computer through formatted output, even simple tasks like keeping titles
aligned with the data columns are not trivial, and the one-shot solutions
one comes up with tend to be particularly hard to maintain. Text::Table
allows you to create and maintain tables that adapt to alignment
requirements as you use them.

Overview
    The process is simple: you create a table (a Text::Table object) by
    describing the columns the table is going to have. Then you load lines
    of data into the table, and finally print the resulting output lines.
    Alignment of data and column titles is handled dynamically in
    dependence on the data present.

Table Creation
    In the simplest case, if all you want is a number of (untitled)
    columns, you create an unspecified table and start adding data to it.
    The number of columns is taken fronm the first line of data.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.135.0-2.mga10
+ Revision: 2215590
- Mageia 10 Mass Rebuild

* Sat Oct 15 2022 tv <tv> 1.135.0-1.mga9
+ Revision: 1896902
- update to 1.135

* Mon Mar 21 2022 umeabot <umeabot> 1.134.0-2.mga9
+ Revision: 1812677
- Mageia 9 Mass Rebuild

* Sat May 16 2020 tv <tv> 1.134.0-1.mga8
+ Revision: 1584316
- update to 1.134

* Wed Feb 12 2020 umeabot <umeabot> 1.133.0-5.mga8
+ Revision: 1506748
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.133.0-4.mga7
+ Revision: 1286982
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.133.0-3.mga7
+ Revision: 1167000
- rebuild with fixed rpm for missing autodeps

* Fri Sep 29 2017 tv <tv> 1.133.0-2.mga7
+ Revision: 1161688
- requires Text::Aligner, thus fixing building other pkgs

* Mon Sep 25 2017 tv <tv> 1.133.0-1.mga7
+ Revision: 1159427
- update to 1.133

* Sun Jul 23 2017 shlomif <shlomif> 1.132.0-1.mga7
+ Revision: 1128993
- update to 1.132

* Sun Jun 19 2016 pterjan <pterjan> 1.130.0-7.mga6
+ Revision: 1035145
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.130.0-6.mga6
+ Revision: 949477
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 1.130.0-5.mga5
+ Revision: 789691
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.130.0-4.mga5
+ Revision: 740561
- Second Mageia 5 Mass Rebuild

* Thu Oct 02 2014 tv <tv> 1.130.0-3.mga5
+ Revision: 736102
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.130.0-2.mga5
+ Revision: 686653
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 1.130.0-1.mga5
+ Revision: 615023
- update to 1.130

* Mon Feb 10 2014 jquelin <jquelin> 1.129.0-1.mga5
+ Revision: 588731
- update to 1.129

* Sat Oct 19 2013 umeabot <umeabot> 1.127.0-2.mga4
+ Revision: 527412
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 1.127.0-1.mga4
+ Revision: 440014
- update to 1.127

* Sun Jan 13 2013 umeabot <umeabot> 1.126.0-2.mga3
+ Revision: 374194
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Sep 26 2012 jquelin <jquelin> 1.126.0-1.mga3
+ Revision: 298115
- update to 1.126

* Wed Sep 05 2012 kharec <kharec> 1.125.0-1.mga3
+ Revision: 288549
- update to 1.125

* Fri Oct 14 2011 jquelin <jquelin> 1.124.0-1.mga2
+ Revision: 154895
- update to 1.124

* Wed Jun 15 2011 jquelin <jquelin> 1.123.0-1.mga2
+ Revision: 107489
- update to 1.123

* Fri Jan 21 2011 jquelin <jquelin> 1.116.0-1.mga1
+ Revision: 29214
- mageia rebuild
- imported package perl-Text-Table

